<?php
	//引入语言包
	$a_langpackage=new albumlp;

	//变量取得
	$model=short_check(get_argg('model'));
	$album_id=short_check(get_argg('album_id'));
	$album_name = short_check(get_argp('album_name'));
	$album_information = short_check(get_argp('album_information'));
	$album_secret=short_check(get_argp('album_secret'));
	$user_id = get_sess_userid();

	//数据表定义区
	$t_album = $tablePreStr."album";
	$t_photo = $tablePreStr."photo";

	$dbo = new dbex;
	//读写分离定义函数
	dbtarget('w',$dbServs);
	
	
	$sql = "update $t_photo set `album_secret`='$album_secret' where album_id=$album_id and user_id=$user_id";
	$dbo -> exeUpdate($sql);

	$sql = "update $t_album set `album_name`='$album_name',`user_id`=$user_id,`album_information`='$album_information',`add_time`=now(),`album_secret`='$album_secret' where album_id=$album_id and user_id=$user_id";
	if($dbo -> exeUpdate($sql)){
		//缓存功能区
    	require($webRoot.$baseLibsPath."action/alb_im_update.action.cache.php");
    	require($webRoot.$baseLibsPath."action/album_list_update.action.cache.php");
	}

	//回应信息
	action_return(1,"","");
?>
